package no.ntnu.idatt1002.demo.data.Budget;

import javafx.scene.control.ProgressBar;

/**
 * Class that represents the main menu category progress bars. Each bar
 * is associated with a corresponding expense category.
 *
 * @author Anders Emil Bergan.
 * @since 17.04.2023.
 */
public class MMBI {
    private ProgressBar progressBar;
    private BudgetItem budgetItem;

    /**
     * Constructor for creating a MMBI.

     * @param item The budget item.
     * @param bar The progress bar.
     */
    public MMBI(BudgetItem item, ProgressBar bar){
        this.budgetItem = item;
        this.progressBar = bar;

    }

    /**
     * Gets the budget item.

     * @return the budget item.
     */
    public BudgetItem getBudgetItem(){
        return budgetItem;
    }

    /**
     * Sets the budget item to the argument value.

     * @param item The value to which the budget item will be set.
     */
    public void setBudgetItem(BudgetItem item){
        this.budgetItem = item;
    }

    /**
     * Gets the progress bar.

     * @return the progress bar.
     */
    public ProgressBar getBar(){
        return progressBar;
    }

    /**
     * Sets the progress bar to the argument value.

     * @param bar The value to which the progress bar will be set.
     */
    public void setProgressBar(ProgressBar bar){
        this.progressBar = bar;
    }

}
